# -*- coding: utf-8 -*-
# Moovida - Home multimedia server
# Copyright (C) 2006-2009 Fluendo Embedded S.L. (www.fluendo.com).
# All rights reserved.
#
# This file is available under one of two license agreements.
#
# This file is licensed under the GPL version 3.
# See "LICENSE.GPL" in the root of this distribution including a special
# exception to use Moovida with Fluendo's plugins.
#
# The GPL part of Moovida is also available under a commercial licensing
# agreement from Fluendo.
# See "LICENSE.Moovida" in the root directory of this distribution package
# for details on that license.

# this import is targeted at Pigment 0.3
import pgm

# load all constants defined in pgm and insert them in the local namespace
# it allows users to access them through this module instead of pgm.[NAME]
# thus allowing a smooth transition to Pigment 0.5
for symbol in dir(pgm):
    # only import symbols that represent a constant in Pigment 0.3
    # it is assumed that these are the one which name is upper case
    if symbol.isupper():
        locals()[symbol] = getattr(pgm, symbol)
